### Work-around the fact that OpenSUSE/SLES _always_ defined both :-/
%if 0%{?sles_version} == 0
%define realname urbackup-client
%undefine sles_version
%endif

Name: urbackup-client-nogui
Version: 1.4.11
Summary: Efficient Client-Server Backup system for Linux and Windows     
Release: 3.1
License: GPL      
URL: http://www.urbackup.org/           
Source0: %{realname}-%{version}.tar.gz
Source1: %{realname}.init
Source2: %{realname}.unit

%if 0%{?suse_version}
Group: Productivity/Archiving/Backup
%endif
%if 0%{?el6}
Group: Backup Client
%endif

BuildRequires: gcc, gcc-c++

%if 0%{?rhel}%{?fedora}
BuildRequires: cryptopp-devel
%endif
%if 0%{?suse_version}
BuildRequires: libcryptopp-devel
%endif

Requires: logrotate

%if 0%{?rhel}%{?fedora}
Requires: cryptopp
%endif
%if 0%{?suse_version}
Requires: libcryptopp
%endif

%if 0%{?el7}%{?fedora}%{?suse_version}
Requires(post)  : systemd
Requires(preun) : systemd
%endif
%if 0%{?el6}%{?el5}
Requires: redhat-lsb-core
Requires(post)  : /sbin/chkconfig
Requires(preun) : /sbin/chkconfig
Requires(preun) : /sbin/service
%endif

%description
Efficient Client-Server Backup system for Linux and Windows.
A client part. Backups are stored to disks in a efficient
way (deduplication) on either Windows or Linux servers.

%prep
%setup -q -n %{realname}-%{version}

%build
%configure --enable-headless
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install
mkdir -p %{buildroot}%{_initrddir}
mkdir -p %{buildroot}%{_unitdir}
mkdir -p %{buildroot}%{_mandir}/man1
%if 0%{?el7}%{?fedora}%{?suse_version}
install -m 755 %{SOURCE2} %{buildroot}%{_unitdir}/%{realname}.service
%endif
%if 0%{?el6}%{?el5}
install -m 755 %{SOURCE1} %{buildroot}%{_initrddir}/%{realname}
%endif
install -m 644 %{_builddir}/%{realname}-%{version}/docs/*.1 %{buildroot}%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%if 0%{?suse_version}
%service_add_post %{realname}.service
%endif
%if 0%{?el7}%{?fedora}
%systemd_post %{realname}.service
%endif

%preun
%if 0%{?el7}%{?fedora}
%systemd_preun %{realname}.service
%endif
%if 0%{?suse_version}
%service_del_preun %{realname}.service
%endif
%if 0%{?el6}%{?el5}
if [ $1 -eq 0 ]
then
  /sbin/service urbackup-client stop >/dev/null 2>&1 || :
  /sbin/chkconfig --del urbackup-client || :
fi
%endif

%postun
%if 0%{?el7}%{?fedora}
%systemd_postun_with_restart %{realname}.service
%endif
%if 0%{?suse_version}
%service_del_postun %{realname}.service
%endif
%if 0%{?el6}%{?el5}
if [ $1 -ge 1 ]
then
  /sbin/service urbackup-client condrestart >/dev/null 2>&1
fi
%endif
/sbin/ldconfig

%posttrans
%if 0%{?el7}%{?fedora}%{?suse_version}
if systemctl is-enabled %{realname}.service >/dev/null 2>&1
then 
   /bin/systemctl --quiet --force reenable %{realname}.service 2>/dev/null || :
else 
   /bin/systemctl --quiet --force reenable %{realname}.service 2>/dev/null || :
   /bin/systemctl --quiet disable %{realname}.service 2>/dev/null || :
fi
%endif

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{_sbindir}/*
%{_libdir}/liburbackupclient*
%{_localstatedir}/*
%{_mandir}/man1/*
%if 0%{?el7}%{?fedora}%{?suse_version}
%{_unitdir}/%{realname}.service
%endif
%if 0%{?el6}%{?el5}
%{_initrddir}/%{realname}
%endif
%exclude %{_libdir}/liburbackup*.la

%changelog
*Thu Mar 24 2016 Oleg Zaitsev <orionplatinum7@gmail.com> 1.4.11
- Updated to version 1.4.11
- Now build against cryptopp 5.6.3

*Tue Sep 29 2015 Oleg Zaitsev <orionplatinum7@gmail.com> 1.4.9
- Updated to version 1.4.9

*Mon Mar 16 2015 Oleg Zaitsev <orionplatinum7@gmail.com> 1.4.8
- Updated to version 1.4.8

*Tue Jan 13 2015 Oleg Zaitsev <orionplatinum7@gmail.com> 1.4.7
- Updated to version 1.4.7
- Moved to systemd scriptlets

*Wed Dec 24 2014 Oleg Zaitsev <orionplatinum7@gmail.com> 1.4.6
- Updated spec for version 1.4.6
- More macrofication
